Difference between revisions of "Arch Rebar Helical/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(36 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav/fr
+
{{Docnav/fr
 
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
 
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
|[[Arch_Rebar_Circular_ColumnReinforcement/fr|Renforcement des armatures circulaires]]
+
|[[Arch_Rebar_Circular_ColumnReinforcement/fr|Armature circulaire]]
 
|[[Arch_Module/fr|Atelier Arch]]
 
|[[Arch_Module/fr|Atelier Arch]]
 
|IconL=Arch_Rebar_Stirrup.svg
 
|IconL=Arch_Rebar_Stirrup.svg
Line 11: Line 11:
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Arch Rebar Helical
 
|Name=Arch Rebar Helical
|Name/fr=Armature hélicoïdale
+
|Name/fr=Arch Rebar Armature hélicoïdale
|MenuLocation=Arch → Rebar tools
+
|MenuLocation=Arch → Rebar tools → Helical Rebar ou 3D/BIM → Reinforcement → Helical Rebar
|Workbenches=[[Arch Workbench/fr|Atelier Architecture]], [[BIM Workbench/fr|Atelier BIM]]
+
|Workbenches=[[Arch_Workbench/fr|Arch]], [[BIM_Workbench/fr|BIM]]
|SeeAlso=[[Arch_Rebar_Stirrup/fr|Armature en étrier Arch]], [[Arch_Rebar_ColumnReinforcement/fr|Renforcement des colonnes d'armature Arch]]
+
|SeeAlso=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Rebar/fr|Arch Armature personnalisée]], [[Arch_Rebar_Stirrup/fr|Arch Rebar Armature en étrier]], [[Arch_Rebar_ColumnReinforcement/fr|Arch Rebar Armature en colonnes]]
 
|Version=0.17
 
|Version=0.17
 
}}
 
}}
Line 20: Line 20:
 
==Description==
 
==Description==
  
L'outil [[Arch Rebar Helical/fr|Armature hélicoïdale]] permet à l'utilisateur de créer une armature hélicoïdale continue dans l'élément structurel [[Arch Structure/fr|Arch Structure]].  
+
L'outil [[Arch_Rebar_Helical/fr|Armature hélicoïdale]] permet à l'utilisateur de créer une armature hélicoïdale continue dans l'élément structurel [[Arch_Structure/fr|Arch Structure]].
  
Cette commande fait partie du [[Reinforcement Addon/fr|Addon Barres de renfort (armatures)]] que vous pouvez installer avec l'[[Addon Manager/fr|Addon manager]] via le menu {{MenuCommand|Tools → Addon Manager → Reinforcement}}.
+
L'outil [[Arch_Rebar_BentShape/fr|Helical Rebar]] est également intégré dans l'[[BIM_Workbench/fr|atelier BIM]].
  
[[Image:Arch_Rebar_Helical_example.png|80px]]
+
Cette commande fait partie de l'[[Reinforcement_Workbench/fr|atelier Reinforcement]], un [[External_workbenches/fr|atelier externe]] qui peut être installé avec [[Image:AddonManager.svg|24px]] [[Addon_Manager/fr|Gestionnaire d'Addon]] via le menu {{MenuCommand|Outils → Gestionnaire d'Addon → Reinforcement}}.
 +
 
 +
:[[Image:Arch_Rebar_Helical_example.png|80px]]
 
{{Caption|Une barre de renforcement hélicoïdale continue à l'intérieur d'une [[Arch Structure/fr|Arch Structure]]}}
 
{{Caption|Une barre de renforcement hélicoïdale continue à l'intérieur d'une [[Arch Structure/fr|Arch Structure]]}}
  
==Comment faire==
+
==Utilisation==
  
 
# Sélectionnez n’importe quelle face d’un objet créé précédemment {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/fr|Arch Structure]]}}.
 
# Sélectionnez n’importe quelle face d’un objet créé précédemment {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/fr|Arch Structure]]}}.
 
# Puis sélectionnez {{Button|[[Image: Arch_Rebar_Helical.svg|16px]] [[Arch Rebar Helical/fr|Rebar Helical]]}} dans les outils pour barres d'armature.
 
# Puis sélectionnez {{Button|[[Image: Arch_Rebar_Helical.svg|16px]] [[Arch Rebar Helical/fr|Rebar Helical]]}} dans les outils pour barres d'armature.
# Un panneau de tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
+
# Un [[Task_Panel/fr|Panneau des tâches]] apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
 
# Sélectionnez l'orientation souhaitée.
 
# Sélectionnez l'orientation souhaitée.
# Indiquez les entrées telles que le côté avant, le côté latéral droit, le côté latéral gauche, la face inférieur et le diamètre de la barre.
+
# Remplissez les entrées telles que 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' et 'Diameter' de l'armature.
# Sélectionnez le mode de distribution soit en montant ou en espacement.
+
# Sélectionnez le mode de distribution 'Amount' ou 'Spacing'.
# Si l'espacement est sélectionné, un utilisateur peut également opter pour [[Custom_Spacing|custom spacing]].
+
#* Si 'Spacing' est sélectionné, un utilisateur peut également opter pour [[Custom_Spacing/fr|espacement personnalisé]].
# Choisir la face sélectionnée est utilisé pour vérifier ou modifier la face pour la distribution des barres.
+
# {{Button|Pick Selected Face}} (choisir la face sélectionnée) est utilisé pour vérifier ou modifier la face pour la distribution des barres.
 
# Cliquez sur {{Button|OK}} ou {{Button|Apply}} pour générer les barres d’arceau.
 
# Cliquez sur {{Button|OK}} ou {{Button|Apply}} pour générer les barres d’arceau.
 
# Cliquez sur {{Button|Cancel}} pour quitter le panneau de tâches.
 
# Cliquez sur {{Button|Cancel}} pour quitter le panneau de tâches.
  
[[Image:HelicalRebarDialog.png|250px]]
+
:[[Image:HelicalRebarDialog.png|250px]]
{{Caption|Panneau de tâches pour l'outil Armature hélicoïdale Arch}}
+
{{Caption|Panneau de tâches pour l'outil Arch Armature hélicoïdale}}
  
 
==Propriétés==  
 
==Propriétés==  
Line 55: Line 57:
  
 
L'outil Armature hélicoïdale peut être utilisé dans [[macros/fr|macro]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
 
L'outil Armature hélicoïdale peut être utilisé dans [[macros/fr|macro]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
 +
 
{{Code|code=
 
{{Code|code=
 
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
 
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
Line 66: Line 69:
  
 
=== Exemple ===
 
=== Exemple ===
 +
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft, Arch, HelicalRebar
 
import FreeCAD, Draft, Arch, HelicalRebar
Line 93: Line 97:
 
HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
 
HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
 
}}
 
}}
{{docnav/fr
+
 
 +
{{Docnav/fr
 
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
 
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
|[[Arch_Rebar_Circular_ColumnReinforcement/fr|Renforcement des armatures circulaires]]
+
|[[Arch_Rebar_Circular_ColumnReinforcement/fr|Armature circulaire]]
|[[Arch_Module/fr|Architecture]]
+
|[[Arch_Module/fr|Atelier Arch]]
 
|IconL=Arch_Rebar_Stirrup.svg
 
|IconL=Arch_Rebar_Stirrup.svg
 
|IconC=Workbench_Arch.svg  
 
|IconC=Workbench_Arch.svg  
Line 102: Line 107:
 
}}
 
}}
  
{{Arch Tools navi/fr}}
+
{{Arch Tools navi{{#translation:}}}}
  
{{Userdocnavi/fr}}
+
{{Userdocnavi{{#translation:}}}}
  
[[Category:Reinforcement/fr]]
+
[[Category:Reinforcement{{#translation:}}]]

Latest revision as of 12:51, 28 September 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Arch Rebar Stirrup.svg Armature en étrier
Page suivante : Armature circulaire Arch Rebar ColumnReinforcement.svg Arrow-right.svg

Arch Rebar Helical.svg Arch Rebar Armature hélicoïdale

Emplacement du menu
Arch → Rebar tools → Helical Rebar ou 3D/BIM → Reinforcement → Helical Rebar
Ateliers
Arch, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Reinforcement, Arch Armature personnalisée, Arch Rebar Armature en étrier, Arch Rebar Armature en colonnes


Description

L'outil Armature hélicoïdale permet à l'utilisateur de créer une armature hélicoïdale continue dans l'élément structurel Arch Structure.

L'outil Helical Rebar est également intégré dans l'atelier BIM.

Cette commande fait partie de l'atelier Reinforcement, un atelier externe qui peut être installé avec AddonManager.svg Gestionnaire d'Addon via le menu Outils → Gestionnaire d'Addon → Reinforcement.

Arch Rebar Helical example.png

Une barre de renforcement hélicoïdale continue à l'intérieur d'une Arch Structure


Utilisation

  1. Sélectionnez n’importe quelle face d’un objet créé précédemment Arch Structure.svg Arch Structure.
  2. Puis sélectionnez Arch Rebar Helical.svg Rebar Helical dans les outils pour barres d'armature.
  3. Un Panneau des tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Remplissez les entrées telles que 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' et 'Diameter' de l'armature.
  6. Sélectionnez le mode de distribution 'Amount' ou 'Spacing'.
  7. Pick Selected Face (choisir la face sélectionnée) est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  8. Cliquez sur OK ou Apply pour générer les barres d’arceau.
  9. Cliquez sur Cancel pour quitter le panneau de tâches.
HelicalRebarDialog.png

Panneau de tâches pour l'outil Arch Armature hélicoïdale


Propriétés

  • DonnéesSideCover: La distance entre l'armature et la face incurvée.
  • DonnéesTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DonnéesBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DonnéesPitch: Le pas d'une hélice est la hauteur d'un tour d'hélice complet, mesuré parallèlement à l'axe de l'hélice.
  • DonnéesDiameter: Diamètre de l'armature.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature hélicoïdale peut être utilisé dans macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucune structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • s_cover, b_cover et t_cover sont des distances de décalage internes pour la barre d'armature par rapport aux faces de la structure. Ce sont respectivement les décalages latéraux, inférieurs et supérieurs.
  • diameter est le diamètre de la spirale de renforcement à l'intérieur de la structure.
  • pitch est le paramètre qui détermine la proximité ou l'éloignement de chaque boucle en spirale.

Exemple

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar est un objet HelicalRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeHelicalRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
Arrow-left.svg Page précédente : Arch Rebar Stirrup.svg Armature en étrier
Page suivante : Armature circulaire Arch Rebar ColumnReinforcement.svg Arrow-right.svg